<?php echo $__env->yieldPushContent($name . '_input_start'); ?>

    <akaunting-date
        class="<?php echo \Illuminate\Support\Arr::toCssClasses([
            'relative',
            $formGroupClass,
            'required' => $required,
            'readonly' => $readonly,
            'disabled' => $disabled,
        ]) ?>"

        <?php if(isset($attributes['v-show'])): ?>
        v-if="<?php echo e($attributes['v-show']); ?>"
        <?php endif; ?>

        <?php if($required): ?>
        :required="<?php echo e($required ? 'true' : 'false'); ?>"
        <?php else: ?>
        :not-required=<?php echo e($required ? 'false' : 'true'); ?>

        <?php endif; ?>

        <?php if($readonly): ?>
        :readonly="<?php echo e($readonly); ?>"
        <?php endif; ?>

        <?php if($disabled): ?>
        :disabled="<?php echo e($disabled); ?>"
        <?php endif; ?>

        <?php if(!empty($attributes['v-error'])): ?>
        :form-classes="[{'has-error': <?php echo e($attributes['v-error']); ?> }]"
        <?php else: ?>
        :form-classes="[{'has-error': form.errors.get('<?php echo e($name); ?>') }]"
        <?php endif; ?>

        <?php if(! empty($group_class)): ?>
        group_class="<?php echo e($group_class); ?>"
        <?php endif; ?>

        <?php if(! empty($icon)): ?>
        icon="<?php echo e($icon); ?>"
        <?php endif; ?>

        title="<?php echo $label; ?>"

        placeholder="<?php echo e($placeholder); ?>"

        name="<?php echo e($name); ?>"

        <?php if(isset($value) || old($name)): ?>
        value="<?php echo e(old($name, $value)); ?>"
        <?php endif; ?>

        <?php if(!empty($attributes['model'])): ?>
        :model="<?php echo e($attributes['model']); ?>"
        <?php endif; ?>

        :date-config="{
            wrap: true, // set wrap to true only when using 'input-group'
            allowInput: false,
            <?php if(!empty($attributes['show-date-format'])): ?>
            altInput: true,
            altFormat: '<?php echo e($attributes['show-date-format']); ?>',
            <?php endif; ?>
            <?php if(!empty($attributes['date-format'])): ?>
            dateFormat: '<?php echo e($attributes['date-format']); ?>',
            <?php endif; ?>
            <?php if(!empty($attributes['min-date'])): ?>
            minDate: <?php echo e($attributes['min-date']); ?>,
            <?php endif; ?>
            <?php if(!empty($attributes['max-date'])): ?>
            maxDate: <?php echo e($attributes['max-date']); ?>,
            <?php endif; ?>
        }"

        locale="<?php echo e(language()->getShortCode()); ?>"

        <?php if(isset($attributes['period'])): ?>
        period="<?php echo e($attributes['period']); ?>"
        <?php endif; ?>

        <?php if(!empty($attributes['v-model'])): ?>
        @interface="form.errors.clear('<?php echo e($attributes['v-model']); ?>'); <?php echo e($attributes['v-model'] . ' = $event'); ?>"
        <?php elseif(!empty($attributes['data-field'])): ?>
        @interface="form.errors.clear('<?php echo e('form.' . $attributes['data-field'] . '.' . $name); ?>'); <?php echo e('form.' . $attributes['data-field'] . '.' . $name . ' = $event'); ?>"
        <?php else: ?>
        @interface="form.errors.clear('<?php echo e($name); ?>'); form.<?php echo e($name); ?> = $event"
        <?php endif; ?>

        <?php if(!empty($attributes['hidden_year'])): ?>
        hidden-year
        <?php endif; ?>

        <?php if(!empty($attributes['min-date-dynamic'])): ?>
        :data-value-min="<?php echo e($attributes['min-date-dynamic']); ?>"
        <?php endif; ?>

        <?php if(!empty($attributes['change'])): ?>
        @change="<?php echo e($attributes['change']); ?>"
        <?php endif; ?>

        <?php if(isset($attributes['v-error-message'])): ?>
        :form-error="<?php echo e($attributes['v-error-message']); ?>"
        <?php else: ?>
        :form-error="form.errors.get('<?php echo e($name); ?>')"
        <?php endif; ?>
    ></akaunting-date>

<?php echo $__env->yieldPushContent($name . '_input_end'); ?>
<?php /**PATH /home/accesse1/public_html/Web-Apps-Production/Akaunting-306/resources/views/components/form/group/date.blade.php ENDPATH**/ ?>