<?php echo $__env->yieldPushContent($name . '_input_start'); ?>
    <akaunting-money
        <?php if(! empty($attributes['v-error'])): ?>
        :form-classes="[{'has-error': <?php echo e($attributes['v-error']); ?> }]"
        <?php else: ?>
        :form-classes="[{'has-error': form.errors.has('<?php echo e($name); ?>') }]"
        <?php endif; ?>

        col="<?php echo e($formGroupClass); ?>"

        <?php if(! empty($attributes['money-class'])): ?>
        money-class="<?php echo e($attributes['money-class']); ?>"
        <?php endif; ?>

        <?php if($required): ?>
        :required="<?php echo e(($required) ? 'true' : 'false'); ?>"
        <?php endif; ?>

        <?php if($readonly): ?>
        :readonly="<?php echo e($readonly); ?>"
        <?php endif; ?>

        <?php if($disabled): ?>
        :disabled="<?php echo e($disabled); ?>"
        <?php endif; ?>

        <?php if(isset($attributes['v-show'])): ?>
        v-if="<?php echo e($attributes['v-show']); ?>"
        <?php endif; ?>

        <?php if(isset($attributes['masked'])): ?>
        :masked="<?php echo e(($attributes['masked']) ? 'true' : 'false'); ?>"
        <?php endif; ?>

        name="<?php echo e($name); ?>"
        title="<?php echo e($label); ?>"
        :group_class="'<?php echo e($formGroupClass); ?>'"

        <?php if(! empty($icon)): ?>
        icon="<?php echo e($icon); ?>"
        <?php endif; ?>

        :currency="<?php echo e(json_encode($attributes['currency'])); ?>"
        :value="<?php echo e($value); ?>"

        <?php if(! empty($attributes['dynamic-currency'])): ?>
        :dynamic-currency="<?php echo e($attributes['dynamic-currency']); ?>"
        <?php else: ?>
        :dynamic-currency="currency"
        <?php endif; ?>

        <?php if(! empty($attributes['v-model'])): ?>
        v-model="<?php echo e($attributes['v-model']); ?>"
        <?php endif; ?>

        <?php if(! empty($attributes['change'])): ?>
        @change="<?php echo e($attributes['change']); ?>($event)"
        <?php endif; ?>

        <?php if(! empty($attributes['input'])): ?>
        @input="<?php echo e($attributes['input']); ?>"
        <?php endif; ?>

        <?php if(! empty($attributes['v-model'])): ?>
        @interface="form.errors.clear('<?php echo e($attributes['v-model']); ?>'); <?php echo e($attributes['v-model'] . ' = $event'); ?>"
        <?php elseif(!empty($attributes['data-field'])): ?>
        @interface="form.errors.clear('<?php echo e('form.' . $attributes['data-field'] . '.' . $name); ?>'); <?php echo e('form.' . $attributes['data-field'] . '.' . $name . ' = $event'); ?>"
        <?php else: ?>
        @interface="form.errors.clear('<?php echo e($name); ?>'); form.<?php echo e($name); ?> = $event"
        <?php endif; ?>

        <?php if(isset($attributes['v-error-message'])): ?>
        :error="<?php echo e($attributes['v-error-message']); ?>"
        <?php else: ?>
        :error="form.errors.get('<?php echo e($name); ?>')"
        <?php endif; ?>

        <?php if(isset($attributes['row-input'])): ?>
        :row-input="<?php echo e($attributes['row-input']); ?>"
        <?php endif; ?>
    ></akaunting-money>
<?php echo $__env->yieldPushContent($name . '_input_end'); ?>
<?php /**PATH /home/accesse1/public_html/Web-Apps-Production/Akaunting-306/resources/views/components/form/input/money.blade.php ENDPATH**/ ?>